<template>
  <div class="flex items-center">
    <TTool v-for="value in values" :key="value" @click="select(value)" :variant="{selected: (currentPosition == value)}">
      <CarbonIcon :width="14" :height="14" :type="`align-horizontal-${value}`" />
    </TTool>
  </div>
</template>

<script>
import mixin from '@components/edit-element-text/mixin'

export default {
  mixins: [ mixin ],
  data(){
    return {
      values: ['left', 'center', 'right']
    }
  },
  computed: {
    left(){
     return 0
    },
    center(){
     return parseInt((this.$store.getters['editor/canvasWidth'] - this.config.width) / 2)
    },
    right(){
      return this.$store.getters['editor/canvasWidth'] - this.config.width
    },
    x(){
      return this.config.x
    },
    currentPosition(){
      if(Math.abs(this.config.x - this.left) < 2){
        return 'left'
      } else if(Math.abs(this.config.x - this.center) < 2){
        return 'center'
      } else if(Math.abs(this.config.x - this.right) < 2){
        return 'right'
      }
      return null
    }
  },
  methods: {
    select(value){
      switch(value){
        case 'left': value = this.left; break;
        case 'center': value = this.center; break;
        case 'right': value = this.right; break;
      }
      this.updateElementConfig({key: 'x', value })
    }
  }
}
</script>